Bug 134535 - smb_fs dont uses the uid and gid info
smb_fs dont uses the uid and gid info
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 10:54 EDT by Mauricio Pretto
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:17:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mauricio Pretto 2004-10-04 10:54:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10

Description of problem:
when mouting a smb_fs device from another linux the gid and uid option
doesnt work.
dados
-fstype=smbfs,credentials=/etc/cred,workgroup=lm2,uid=500,gid=100
://192.168.20.1/dados

[root@Nimda dados]# ls -n
total 2097152
drwxrws---  1 0 501 0 Out  4 09:48 Clientes
drwxrws---  1 0 501 0 Out  2 11:57 Comercial
drwxrws---  1 0 502 0 Out  2 11:57 Empresa
drwxrws---  1 0 503 0 Out  2 14:56 Suporte

this are the uid and gid from the remote server

Version-Release number of selected component (if applicable):
samba-client-3.0.7-2.FC2 , kernel-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1.mount any smb_fs with gid and uid options
2.
3.
    

Actual Results:  the uid and gid options are ignored

Additional info:
Comment 1 Dave Jones 2005-04-16 02:17:07 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.